# Retrieve all custom actions for the tenant

Retrieve all custom actions for the tenant

Endpoint: GET /v2/custom-actions/
Version: 1.0.0

## Query parameters:

  - `ordering` (string)
    Order the results by a specific field (-field for descending order). Valid fields are 'name', 'created_at', 'updated_at', 'created_by', 'updated_by'.

  - `name` (string)
    Filter the results by name (partial match, case insensitive).

  - `type` (string)
    Filter by action type. Comma-separated list. Valid values: button, toggle, radio, dropdown.

  - `state` (string)
    Filter by action state. Comma-separated list. Valid values: draft, active, inactive.

  - `position_in_blueprints` (string)
    Filter by blueprint position. Comma-separated list. Valid values: none, blueprints_apps_and_configuration, blueprints_connectivity, blueprints_device_security, blueprints_display_and_branding, blueprints_esper_settings, blueprints_scripts, blueprints_files, blueprints_platform_services, blueprints_hardware_settings, blueprints_sound, blueprints_system_updates, blueprints_time_and_date.

  - `position_in_device_settings` (string)
    Filter by device settings position. Comma-separated list. Valid values: none, device_quick_settings.

  - `created_by` (integer)
    Filter by user ID who created the action.

  - `updated_by` (integer)
    Filter by user ID who last updated the action.

  - `limit` (integer)
    Number of results to return per page.

  - `offset` (integer)
    The initial index from which to return the results.

## Response 200 fields (application/json):

  - `content` (object)

  - `content.count` (integer)
    The total number of custom actions

  - `content.next` (string,null)
    The link to retrieve the next set of objects in the result set

  - `content.previous` (string,null)
    The link to retrieve the previous set of objects in the result set

  - `content.results` (array)

  - `content.results.name` (string, required)
    Custom Action name

  - `content.results.type` (string, required)
    The UI component type for this custom action
    Enum: "button", "toggle", "radio", "dropdown"

  - `content.results.state` (string, required)
    The current operational state of the custom action. Only active custom actions can be deployed to Linux devices.
    Enum: "draft", "active", "inactive"

  - `content.results.position_in_blueprints` (string, required)
    The location in the blueprint where the custom action will be added
    Enum: "none", "blueprints_apps_and_configuration", "blueprints_connectivity", "blueprints_device_security", "blueprints_display_and_branding", "blueprints_esper_settings", "blueprints_scripts", "blueprints_files", "blueprints_platform_services", "blueprints_hardware_settings", "blueprints_sound", "blueprints_system_updates", "blueprints_time_and_date"

  - `content.results.position_in_device_settings` (string, required)
    The location in the device's Quick Actions where the custom action will be added
    Enum: "none", "device_quick_settings"

  - `content.results.properties` (object, required)
    Object for the description, info_message, and tooltip_message.

  - `content.results.id` (string, required)
    Unique identifier for the custom action

  - `content.results.options` (array, required)
    List of options for the custom action

  - `content.results.options.label` (string, required)
    Label shown on the UI

  - `content.results.options.key` (string, required)
    Unique key identifier for the option

  - `content.results.options.scripts` (object, required)
    Platform-specific script references. Currently only Linux platform is supported. Platform key must be lowercase "linux".

  - `content.results.options.scripts.linux` (object, required)

  - `content.results.options.scripts.linux.script_id` (string, required)
    Script identifier stored in external storage

  - `content.results.created_at` (string, required)
    When the custom action was created

  - `content.results.updated_at` (string, required)
    When the custom action was last updated

  - `content.results.created_by` (integer, required)
    User ID who created the custom action

  - `content.results.updated_by` (integer, required)
    User ID who last updated the custom action

  - `message` (string)

  - `code` (integer)

## Response 400 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `code` (integer)
    Enum: 400


